#include "BattlerFacade.h"
#include "mof/KeyFrameAnimation.h"



et::BattlerFacade::BattlerFacade(BattlerType type )
:  m_type(type)
{
	m_pGraphicsObject = NULL;
	
	m_timeStamp = 0;
}


et::BattlerFacade::~BattlerFacade(void)
{
	delete m_pGraphicsObject;
}


mof::Billboard* et::BattlerFacade::getGraphicsObject(){
	return m_pGraphicsObject;
}

mof::Vector3D et::BattlerFacade::getPosition(){
	return m_pGraphicsObject->getPosition();
}

int et::BattlerFacade::getTimeStamp(){
	return m_timeStamp;
}


